
QGIS Application - Bug report #20676

Qgis Crash while executing model

2018-11-29 03:09 PM - roland gutzinger

Status: Closed

Priority: High

Assignee: Nyall Dawson

Category: Processing/Modeller

Affected QGIS version:3.5(master) Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 28496

Description

User Feedback

Happening when exacuting a modell in modell builder. the same in the stable version

Report Details

Crash ID: 3fceb8ae24435e704da48647f10960c8811f1f9b

Stack Trace

QBitArray::QBitArray :

OGREnvelope::Contains :

OGREnvelope::Contains :

PyMethodDef_RawFastCallKeywords :

PyMethodDef_RawFastCallKeywords :

PyEval_EvalFrameDefault :

PyFunction_FastCallDict :

PyMethodDef_RawFastCallDict :

PyObject_Call :

PyInit_QtCore :

PyInit_QtCore :

PyInit_QtCore :

PyInit_QtCore :

PyInit_QtCore :

QMetaObject::activate :

QAction::activate :

QAbstractButton::click :

QAbstractButton::mouseReleaseEvent :

QToolButton::mouseReleaseEvent :

QWidget::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsRenderContext::featureFilterProvider :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsRenderContext::featureFilterProvider :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :
QEventLoop::exec :

QCoreApplication::exec :

QgsVectorLayerProperties::mButtonAddJoin_clicked :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.5.0-Master

QGIS code revision: commit:23a4fb6e70

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.3.2

Running against GDAL: 2.3.2

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.16299

Associated revisions

Revision 14164ef9 - 2018-11-30 12:54 AM - Nyall Dawson

[processing] Fix crash when running model through modeler dialog

Fixes #20676

(cherry picked from commit 01de9c32a4cae2ab43d3bdc1df6db2a6f917487d)

Revision 3a66b925 - 2018-11-30 01:02 AM - Nyall Dawson

[processing] Fix crash when running model through modeler dialog

Fixes #20676

History

#1 - 2018-11-29 04:26 PM - Giovanni Manghi

- Priority changed from Normal to High

Please attach the project/data and model. Thanks!

#2 - 2018-11-29 07:33 PM - roland gutzinger

Correcting myself.The crash happens after successfully executing the model, when i try to change something in the parameters, with a mouseclick

somewhere in the model-builder. And it's independent of the model and the input data.

Under Linux this is happening instead:

An error has occurred while executing Python code: 

RuntimeError: wrapped C/C++ object of type QgsProcessingModelAlgorithm has been deleted 

Traceback (most recent call last):
  File "/usr/share/qgis/python/plugins/processing/modeler/ModelerGraphicItem.py", line 176, in mouseDoubleClickEvent

    self.editElement()

  File "/usr/share/qgis/python/plugins/processing/modeler/ModelerGraphicItem.py", line 220, in editElement

    dlg = ModelerParametersDialog(elemAlg, self.model, self.element.childId(), self.element.configuration())

  File "/usr/share/qgis/python/plugins/processing/modeler/ModelerParametersDialog.py", line 97, in __init__

    self.setupUi()

  File "/usr/share/qgis/python/plugins/processing/modeler/ModelerParametersDialog.py", line 151, in setupUi

    widget_context.setModel(self.model)

RuntimeError: wrapped C/C++ object of type QgsProcessingModelAlgorithm has been deleted

Python version: 3.6.7 (default, Oct 22 2018, 11:32:17) [GCC 8.2.0] 

QGIS version: 3.4.2-Madeira Madeira, 5645791 

Python Path:

/usr/share/qgis/python

/home/ro/.local/share/QGIS/QGIS3/profiles/default/python

/home/ro/.local/share/QGIS/QGIS3/profiles/default/python/plugins

/usr/share/qgis/python/plugins

/usr/lib/python36.zip

/usr/lib/python3.6

/usr/lib/python3.6/lib-dynload

/usr/local/lib/python3.6/dist-packages

/usr/lib/python3/dist-packages

/usr/lib/python3.6/dist-packages

/home/ro/.local/share/QGIS/QGIS3/profiles/default/python

#3 - 2018-11-29 08:01 PM - Nyall Dawson

- Assignee set to Nyall Dawson

- Status changed from Open to In Progress

#4 - 2018-11-30 12:53 AM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from In Progress to Closed

Applied in changeset commit:qgis|14164ef9e157ed58d996304478efaaf3fc39e38f.
